<?php

namespace CorpusParole\Providers;

use Config;

use Illuminate\Support\ServiceProvider;

use CorpusParole\Services\ViafResolver;

class ViafServiceProvider extends ServiceProvider
{
    /**
     * Register the application services.
     *
     * @return void
     */
    public function register()
    {
        $this->app->bind('CorpusParole\Services\ViafResolverInterface', function($app) {
            return new ViafResolver($app['Guzzle']);
        });
    }
}
